local theTimerObj = XLGetObject("Xunlei.Thunder.Timer")
local theThunderAppObj = XLGetObject("Xunlei.Thunder.App")
local function onTimer (timerID)
	local mode = theThunderAppObj:GetThunderStartMode()
	if mode == 0 then
		local theAddinMgrObj = XLGetObject("Xunlei.Thunder.AddinManager")
		theAddinMgrObj:LoadAddin("SoftUpdateStatus")
		return false
	end
	return true
end
theTimerObj:AddTimer(onTimer,60000,true)
